# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`gitea`](#gitea): manages gitea installation
* [`gitea::config`](#gitea--config)
* [`gitea::database`](#gitea--database)
* [`gitea::install`](#gitea--install)
* [`gitea::service`](#gitea--service)

## Classes

### <a name="gitea"></a>`gitea`

manages gitea installation

#### Parameters

The following parameters are available in the `gitea` class:

* [`version`](#-gitea--version)
* [`home`](#-gitea--home)
* [`user`](#-gitea--user)
* [`group`](#-gitea--group)
* [`repository_path`](#-gitea--repository_path)
* [`app_name`](#-gitea--app_name)
* [`domain`](#-gitea--domain)
* [`run_mode`](#-gitea--run_mode)
* [`database_type`](#-gitea--database_type)
* [`database_host`](#-gitea--database_host)
* [`database_name`](#-gitea--database_name)
* [`database_user`](#-gitea--database_user)
* [`database_password`](#-gitea--database_password)
* [`http_protocol`](#-gitea--http_protocol)
* [`http_addr`](#-gitea--http_addr)
* [`root_url`](#-gitea--root_url)
* [`disable_registration`](#-gitea--disable_registration)
* [`disable_git_hooks`](#-gitea--disable_git_hooks)
* [`lfs_enabled`](#-gitea--lfs_enabled)
* [`lfs_data_path`](#-gitea--lfs_data_path)
* [`http_port`](#-gitea--http_port)

##### <a name="-gitea--version"></a>`version`

Data type: `String[1]`

Gitlab Version to install

##### <a name="-gitea--home"></a>`home`

Data type: `String[1]`

home path of the gitea user

##### <a name="-gitea--user"></a>`user`

Data type: `String[1]`

gitea user

##### <a name="-gitea--group"></a>`group`

Data type: `String[1]`

gitea user group

##### <a name="-gitea--repository_path"></a>`repository_path`

Data type: `String[1]`

where repository should be stored

##### <a name="-gitea--app_name"></a>`app_name`

Data type: `String[1]`

name for your gitea instance

##### <a name="-gitea--domain"></a>`domain`

Data type: `String[1]`

domain where your instance is

##### <a name="-gitea--run_mode"></a>`run_mode`

Data type: `Enum['dev', 'prod']`

in which mode gitea should be run (dev, prod)

##### <a name="-gitea--database_type"></a>`database_type`

Data type: `Enum['postgresql', 'sqlite']`

which database should be configured (postgresql, sqlite)

##### <a name="-gitea--database_host"></a>`database_host`

Data type: `String`

host of the database (currently only for postgresql)

##### <a name="-gitea--database_name"></a>`database_name`

Data type: `String`

name of the database (currently only for postgresql)

##### <a name="-gitea--database_user"></a>`database_user`

Data type: `String`

user of the database (currently only for postgresql)

##### <a name="-gitea--database_password"></a>`database_password`

Data type: `String`

password of the database (currently only for postgresql)

##### <a name="-gitea--http_protocol"></a>`http_protocol`

Data type: `Enum['http','unix']`

which protocol should be used (unix, http)

##### <a name="-gitea--http_addr"></a>`http_addr`

Data type: `String[1]`

listen address

##### <a name="-gitea--root_url"></a>`root_url`

Data type: `String[1]`

root url of the gitea instance e.g '%(PROTOCOL)s://%(DOMAIN)s:%(HTTP_PORT)s/'

##### <a name="-gitea--disable_registration"></a>`disable_registration`

Data type: `Boolean`

disables registration

##### <a name="-gitea--disable_git_hooks"></a>`disable_git_hooks`

Data type: `Boolean`

disables git hooks in the webui

##### <a name="-gitea--lfs_enabled"></a>`lfs_enabled`

Data type: `Boolean`

enables git LFS for repositories

##### <a name="-gitea--lfs_data_path"></a>`lfs_data_path`

Data type: `Stdlib::Absolutepath`

where should lfs data be stored

##### <a name="-gitea--http_port"></a>`http_port`

Data type: `Integer`



### <a name="gitea--config"></a>`gitea::config`

The gitea::config class.

### <a name="gitea--database"></a>`gitea::database`

The gitea::database class.

### <a name="gitea--install"></a>`gitea::install`

The gitea::install class.

### <a name="gitea--service"></a>`gitea::service`

The gitea::service class.

